pycairo (1.16.2-4build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:53:36 +0200

pycairo (1.16.2-4) unstable; urgency=medium

  * Drop python2 support; Closes: #937397

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jul 2020 23:49:54 -0400

pycairo (1.16.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 18:52:24 -0400

pycairo (1.16.2-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Chris Lamb ]
  * d/changelog: Remove trailing whitespace

  [ Simon McVittie ]
  * d/p/tests-fix-a-pytest-deprecation-warning.patch,
    d/p/enum-explicitely-set-enum.__str__.patch:
    Cherry-pick Python 3.8 fixes from upstream.
    This is functionally equivalent to the changes in 1.16.2-1ubuntu1
    (thanks to Matthias Klose). (Closes: #942666)
  * d/control, d/python3-cairo*.install:
    Cope with Python 3.8 removing "m" from the names of extensions.
    Change taken from 1.16.2-1ubuntu3 in Ubuntu (thanks to Matthias Klose).
  * d/rules: Delete pyc files from staging directory
  * d/rules: Fail the build if there are other files we didn't install

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Nov 2019 18:34:57 +0000

pycairo (1.16.2-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control: Bump Standards-Version to 4.1.3 (no further changes)
  * debian/control: Add Built-Using: ${sphinxdoc:Built-Using} to the
    documentation packages
  * debian/python-cairo-dev.install, debian/python3-cairo-dev.install:
    Upstream buildsystem now installs the .pc files in /usr/lib/pkgconfig
  * debian/python-cairo-dev.install, debian/python3-cairo-dev.install: Install
    new .h file shipped by upstream
  * Override the lintian python-package-missing-depends-on-python error for
    -dev packages, the package is only installing a header file in the path

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Feb 2018 16:34:35 +0100

pycairo (1.15.4-2) unstable; urgency=medium

  * Team upload.
  * debian/python-cairo-dev.examples: Install examples file in
    python-cairo-dev package instead of python-cairo
  * Build python3 packages, split the documentation in a separate -doc pkg
  * debian/rules: Call the sphinxdoc sequence
  * debian/rules: Do not create additional -dbgsyms packages, put the debug
    symbols in the -dbg ones
  * debian/rules: Try to fix the privacy-breach-generic lintian warning

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 14:56:32 +0100

pycairo (1.15.4-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Laurent Bigonville ]
  * New upstream release (Closes: #653588, #878080)
    - Bump libcairo2-dev build-dependency (Closes: #605958)
    - Drop debian/patches/setup_25_compat, we don't need compatibility with
      python 2.5 anymore
  * debian/watch: Update watch file, the project has been moved to github
  * Bump Standards-Version to 4.1.1 (no further changes)
  * Switch to dh sequences and bump debhelper compatibility to 10
  * Add python-pytest to the build-dependencies, this is needed for the tests
  * debian/python-cairo-dev.install: Fix installation of the .pc file
  * debian/control: Move python-cairo-dbg to priority optional from priority
    extra, the later is deprecated
  * debian/control: Mark python-cairo and python-cairo-dbg as Multi-arch: same
  * debian/python-cairo.install: Install egg-info file (Closes: #572624)
  * debian/python-cairo-dev.links: Use libjs-underscore instead of embedded
    underscore.js file

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 13:31:30 +0100

pycairo (1.8.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python-cairo-dbg.maintscript to cleanup symlink left over from version
    1.4.12-1.2 (lenny). (Closes: #861305)

 -- Ivo De Decker <ivodd@debian.org>  Sun, 07 May 2017 13:10:03 +0200

pycairo (1.8.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace deprecated cdbs_python_build_versions with cdbs_python_flavors.
    (Closes: #830364)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sun, 25 Sep 2016 11:50:17 +0200

pycairo (1.8.8-2) unstable; urgency=medium

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Andrey Rahmatullin ]
  * Port from python-support to dh-python (Closes: #786160).
  * Drop obsolete debian/pyversions.
  * Drop unnecessary XB-Python-Version.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 06 Sep 2015 13:47:26 +0500

pycairo (1.8.8-1) unstable; urgency=low

  [ Loïc Minier ]
  * Use *-packages instead of site-packages in debian/python-cairo-dbg.install
    to work with both dist-packages and site-packages, backports etc.

  [ Torsten Marek ]
  * New upstream release
  * Convert to new source format "3.0 (quilt)"
  * debian/control
    - Updated standards version to 3.8.3, no changes necessary
  * debian/patches/setup_25_compat
    - Ensure Python 2.5 compatibility
    - Make sure __init__.py is installed
  * debian/rules
    - Remove old dpatch workarounds

 -- Torsten Marek <shlomme@debian.org>  Sun, 24 Jan 2010 15:39:31 +0100

pycairo (1.8.6-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bumped standards version to 3.8.2, no changes necessary.
    - Added build-dependency on python-sphinx.
    - Added dependency on libjs-jquery.
  * debian/patches/02__toyfontface_type_base.dpatch
    - Removed, fixed upstream.
  * debian/rules
    - Build documentation.
  * debian/python-cairo-dev.docs, debian/python-cairo-dev.links
    - Install the documentation

 -- Torsten Marek <shlomme@debian.org>  Fri, 17 Jul 2009 22:50:31 +0200

pycairo (1.8.4-3exp2) experimental; urgency=low

  * Actually build Python 2.6 modules
    - somehow, using an unstable basetgz in pbuilder won't
      magically do just what I want

 -- Torsten Marek <shlomme@debian.org>  Mon, 25 May 2009 22:13:11 +0200

pycairo (1.8.4-3exp1) experimental; urgency=low

  * Added module for Python 2.6, for experimental
  * debian/rules
    - make sure debug build files are cleaned correctly
  * debian/control
    - set build dependency on python-all-{dev,dbg} to 2.5.4-1~
    - change section of python-cairo-dbg to debug

 -- Torsten Marek <shlomme@debian.org>  Mon, 25 May 2009 21:12:55 +0200

pycairo (1.8.4-3) unstable; urgency=low

  * debian/python-cairo.preinst
    - Run cleanup only on upgrade, thanks Julien Valroff (Closes: #521564)

 -- Torsten Marek <shlomme@debian.org>  Sat, 28 Mar 2009 18:45:18 +0100

pycairo (1.8.4-2) unstable; urgency=low

  * debian/preinst
    - Remove files remaining from python-central if
      /var/lib/pycentral/pkgremove did not exist before (Closes: #516518)

 -- Torsten Marek <shlomme@debian.org>  Fri, 27 Mar 2009 13:49:34 +0100

pycairo (1.8.4-1) unstable; urgency=low

  * New upstream release for unstable (Closes: #497055)
  * debian/rules
    - Switch to cdbs and python-support
  * debian/control
    - Bumped standards version to 3.8.1, no changes necessary
    - Bumped debhelper compatibility level to 7, no changes
    - Switch to cdbs and python-support
    - Build-depend on dpatch
    - Added ${misc:Depends} to all packages, fixes lintian warnings
  * debian/patches/01_no_py26_dependency.dpatch
    - do not require Python 2.6
  * debian/patches/02_toyfontface_type_base.dpatch
    - set correct base type for ToyFontFace

 -- Torsten Marek <shlomme@debian.org>  Sun, 22 Mar 2009 13:37:43 +0100

pycairo (1.8.2-1) experimental; urgency=low

  * New upstream release, uploaded to experimental
  * Adopted by the Debian Python Modules Team, thanks to Dave Beckett
    for maintenance so far
  * debian/control
    - Bumped standards version to 3.8.0, no changes necessary
    - Changed XS-Python-Version to only build the package for Python 2.5
    - Updated build dependencies according to Python Policy recommendations
    - Removed old Replace/Conflicts, there are no 2.3 or 2.4 packages anymore
    - Set DPMT as maintainers
    - Added Dave Beckett and myself as uploaders
    - Update build dependency on libcairo2-dev to latest version 1.8.6
  * debian/rules
    - Removed unused variables
    - Removed --without-pygtk option from configure, option has vanished

 -- Torsten Marek <shlomme@debian.org>  Thu, 08 Jan 2009 12:29:52 +0100

pycairo (1.4.12-1.1) unstable; urgency=low

  * NMU.
  * Rebuild with python-central 0.6.7. Closes: #489368.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2008 18:30:40 +0200

pycairo (1.4.12-1) unstable; urgency=low

  * New upstream release
  * Build debug package python-cairo-dbg based on Ubuntu 1.4.0*
    packaging (Closes: #453674)
  * debian/control: Added Homepage field

 -- Dave Beckett <dajobe@debian.org>  Fri, 21 Dec 2007 23:33:34 -0800

pycairo (1.4.0-2) unstable; urgency=low

  * Remove build depend on python-numeric, no longer used
  * debian/rules tidy for lintian warnings

 -- Dave Beckett <dajobe@debian.org>  Sat, 14 Apr 2007 08:29:32 -0700

pycairo (1.4.0-1) experimental; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Tue, 27 Mar 2007 07:10:34 -0700

pycairo (1.2.2-1) experimental; urgency=low

  * New upstream release
  * debian/rules: Do not need dh_python while using dh_pycentral
  * Build-Depend on cairo 1.2.2 and python-central 0.5+

 -- Dave Beckett <dajobe@debian.org>  Sat, 18 Nov 2006 08:40:38 -0800

pycairo (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Requires cairo 1.2.0

 -- Dave Beckett <dajobe@debian.org>  Mon,  3 Jul 2006 12:06:09 -0700

pycairo (1.0.2-2) unstable; urgency=low

  * Acknowledge NMU (Closes: #374147)
  * Standards-Version: 3.7.2.0

 -- Dave Beckett <dajobe@debian.org>  Sun, 18 Jun 2006 13:53:46 -0700

pycairo (1.0.2-1.1) unstable; urgency=low

  * Convert to updated Python policy. Closes: #373486.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 13:22:11 +0000

pycairo (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Requires cairo 1.0.2

 -- Dave Beckett <dajobe@debian.org>  Mon,  2 Jan 2006 16:42:30 -0800

pycairo (1.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch: update to point to stable release area
  * Install examples that do not require pygtk (Closes: #324045)
  * debian/copyright: The FSF has moved again

 -- Dave Beckett <dajobe@debian.org>  Tue,  6 Sep 2005 08:36:09 +0100

pycairo (0.9.0-4) unstable; urgency=low

  * Rebuild against cairo 1.0.0 with updated backends (Closes: #325379)
  * debian/control: Build-Depend on libcairo2-dev >=1.0.0
  * Install cairo.pth to enable debian python installs to add the cairo
    dir to the search path.

 -- Dave Beckett <dajobe@debian.org>  Wed, 31 Aug 2005 00:18:51 +0100

pycairo (0.9.0-3) unstable; urgency=low

  * First version for debian archive (Closes: #319779)

 -- Dave Beckett <dajobe@debian.org>  Mon, 15 Aug 2005 16:55:31 +0100

pycairo (0.9.0-2) unstable; urgency=low

  * Rebuild against cairo 0.9.2

 -- Dave Beckett <dajobe@debian.org>  Mon, 15 Aug 2005 16:54:31 +0100

pycairo (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Functions added for cairo 0.9.0

 -- Dave Beckett <dajobe@debian.org>  Thu, 11 Aug 2005 08:49:54 +0100

pycairo (0.6.0-3) unstable; urgency=low

  * Rebuild against cairo 0.9.0

 -- Dave Beckett <dajobe@debian.org>  Tue,  9 Aug 2005 08:28:52 +0100

pycairo (0.6.0-2) unstable; urgency=low

  * debian/rules: disable use of pygtk, as pygtk 2.7+ ships with the
    cairo.gtk functions.  Prevents circular dependency.

 -- Dave Beckett <dajobe@debian.org>  Thu,  4 Aug 2005 15:22:26 +0100

pycairo (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Require cairo 0.6
  * Remove SVG support for now - remove libsvg-cairo dependency
  * python2.3-cairo and python2.4-cairo conflict with each other
    for the new pycairo.pc and includes.
  * Added python-cairo-dev for the development headers for python2.3-cairo.
  * Added python-cairo package for the default version of python (2.3)
  * Undo patching

 -- Dave Beckett <dajobe@debian.org>  Mon,  1 Aug 2005 21:43:14 +0100

pycairo (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Require cairo 0.5
  * Add debian/watch file

 -- Dave Beckett <dajobe@debian.org>  Thu,  9 Jun 2005 22:13:41 +0100

pycairo (0.4.0-3) unstable; urgency=low

  * Add python2.4-cairo package
  * Switch to debhelper from cdbs to hand-drive the 2-python builds

 -- Dave Beckett <dajobe@debian.org>  Mon, 30 May 2005 22:25:00 +0100

pycairo (0.4.0-2) unstable; urgency=low

  * Require libsvg-cairo1-dev >= 0.1.5-4 with fixed build dependencies.

 -- Dave Beckett <dajobe@debian.org>  Tue,  5 Apr 2005 00:41:46 +0100

pycairo (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Remove most examples as they had no copyright.

 -- Dave Beckett <dajobe@debian.org>  Mon,  4 Apr 2005 21:03:33 +0100

pycairo (0.1.4-0.1) unstable; urgency=low

  * First public package

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Wed,  2 Feb 2005 23:40:03 +0000

pycairo (0.1.1.cvs20040823-1) unstable; urgency=low

  * Initial package

 -- Dave Beckett <Dave.Beckett@bristol.ac.uk>  Mon, 23 Aug 2004 21:43:51 +0100
